zonec(8)

NAME
zonec - NSD Zone Compiler version 2.0.0.

SYNOPSIS
zonec [-v] [-h] [-L] [-F] [-f database] [-D directory] [-o origin] nsd.zones

DESCRIPTION
Zonec is the nsd(8) database compiler for creating name space databases from a set of input master zone files specified in nsd.zones file. If nsd.zones file equals - then all zone information is read from stdin. Making constructs like:

cat zones* | ./zonec -f nsd.db -o example.net -

possible.

It is normally invoked via nsdc(8) rebuild command. Zonec will then parse every zone in nsd.zones file and add it to the name space database, /etc/nsd/nsd.db by default, that is used by nsd(8) to answer incoming queries.

The available options are:

-d directory
    Change the working directory to directory before doing any work.

-f database
    Create the specified database instead of the default /etc/nsd/nsd.db

-o origin
    When reading from stdin use this as the first origin. When reading zone from nsd.zones this option is ignored.

-v  Print the current amount of RRs processed. Currently this is hardcoded to 10,000.

-F  Set debug facilities. (If compiled with --enable-checking.)

-L  Set debug level. (If compiled with --enable-checking.)

FILE FORMAT
The nsd.zones file is formatted as follows:
zone <zonename> <filename> [masters <IP>|<IP>|...]
zone <zonename> <filename> [notify <IP>|<IP>|...]

The first word on a line must be ``zone''. It indicates that the zone should be loaded as authoritative data.

The second word is the name (origin) of the zone and the third word is the pathname to the master zone file. If you use zonec with the -d option the pathname may be relative to the NSD zones directory.

Optionally masters list-of-ip-addresses can be present to update the respective zone with axfr from the given master servers. These servers will be tried in order. This option is ignored by zonec and is only relevant for nsdc update.

Optionally a list-of-ip-addresses of server that must be notified when can be present. This option is ignored by zonec and is only relevant for nsdc notify.

A typical example would be:
zone example.com primary/example.com
zone example.net secondary/example.net masters 10.1.1.1

The second line indicates that nsdc update should try to axfr the zone example.net from the master server 10.1.1.1

Since NSD is primarily written to be run on the root name servers, this file most likely to contain something like:
zone . root.zone

FILES

/etc/nsd/nsd.db
    default NSD database

DIAGNOSTICS
zonec will log all the problems via the standard error output and progress via stdout if -v option is specified.

SEE ALSO
nsd(8,) nsdc(8) and README

AUTHORS
NSD was written by NLnet Labs and RIPE NCC joint team. Please see CREDITS file in the distribution for further details.

BUGS
Zonec has rather weak error diagnostics that will change in further versions. Zonec expects the input files to be free of syntax errors and very little fool proof checks are done.